[pyfai] 21/22: add the autopkgtest
Frédéric-Emmanuel Picca
picca at moszumanska.debian.org
Wed Jun 8 14:33:58 UTC 2016
This is an automated email from the git hooks/post-receive script.
picca pushed a commit to annotated tag debian/0.12.0+dfsg-1
in repository pyfai.
commit 036a1fd93e3e5d111b77bc44126ba9377733710e
Author: Picca Frédéric-Emmanuel <picca at synchrotron-soleil.fr>
Date: Wed Jun 8 15:01:42 2016 +0200
add the autopkgtest
---
debian/control | 1 +
debian/tests/control | 11 +++++++++++
debian/tests/python2 | 12 ++++++++++++
debian/tests/python2-dbg | 12 ++++++++++++
debian/tests/python3 | 12 ++++++++++++
debian/tests/python3-dbg | 12 ++++++++++++
6 files changed, 60 insertions(+)
diff --git a/debian/control b/debian/control
index 8ce341d..cf4c64b 100644
--- a/debian/control
+++ b/debian/control
@@ -3,6 +3,7 @@ Maintainer: Debian Science Maintainers <debian-science-maintainers at lists.alioth.
Uploaders: Jerome Kieffer <jerome.kieffer at esrf.fr>,
Picca Frédéric-Emmanuel <picca at debian.org>
Section: science
+Testsuite: autopkgtest
Priority: extra
Build-Depends: cython,
cython-dbg,
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..7b1633d
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,11 @@
+Tests: python2
+Depends: python-pyfai
+
+Tests: python2-dbg
+Depends: python-pyfai-dbg
+
+Tests: python3
+Depends: python3-pyfai
+
+Tests: python3-dbg
+Depends: python3-pyfai-dbg
\ No newline at end of file
diff --git a/debian/tests/python2 b/debian/tests/python2
new file mode 100755
index 0000000..12b2416
--- /dev/null
+++ b/debian/tests/python2
@@ -0,0 +1,12 @@
+#!/bin/sh
+set -efu
+
+PYS=${PYS:-"$(pyversions -r 2>/dev/null)"}
+TESTPKG=${TESTPKG:-pyFAI}
+
+cd "$ADTTMP"
+
+for py in $PYS; do
+ echo "=== $py ==="
+ $py -c "import $TESTPKG; $TESTPKG.tests()" 2>&1
+done
diff --git a/debian/tests/python2-dbg b/debian/tests/python2-dbg
new file mode 100755
index 0000000..ca1ff26
--- /dev/null
+++ b/debian/tests/python2-dbg
@@ -0,0 +1,12 @@
+#!/bin/sh
+set -efu
+
+PYS=${PYS:-"$(pyversions -r 2>/dev/null)"}
+TESTPKG=${TESTPKG:-pyFAI}
+
+cd "$ADTTMP"
+
+for py in $PYS; do
+ echo "=== $py ==="
+ $py-dbg -c "import $TESTPKG; $TESTPKG.tests()" 2>&1
+done
diff --git a/debian/tests/python3 b/debian/tests/python3
new file mode 100755
index 0000000..40d66be
--- /dev/null
+++ b/debian/tests/python3
@@ -0,0 +1,12 @@
+#!/bin/sh
+set -efu
+
+PYS=${PYS:-"$(py3versions -r 2>/dev/null)"}
+TESTPKG=${TESTPKG:-pyFAI}
+
+cd "$ADTTMP"
+
+for py in $PYS; do
+ echo "=== $py ==="
+ $py -c "import $TESTPKG; $TESTPKG.tests()" 2>&1
+done
diff --git a/debian/tests/python3-dbg b/debian/tests/python3-dbg
new file mode 100755
index 0000000..da05201
--- /dev/null
+++ b/debian/tests/python3-dbg
@@ -0,0 +1,12 @@
+#!/bin/sh
+set -efu
+
+PYS=${PYS:-"$(py3versions -r 2>/dev/null)"}
+TESTPKG=${TESTPKG:-pyFAI}
+
+cd "$ADTTMP"
+
+for py in $PYS; do
+ echo "=== $py ==="
+ $py-dbg -c "import $TESTPKG; $TESTPKG.tests()" 2>&1
+done
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-science/packages/pyfai.git
More information about the debian-science-commits
mailing list